/////////////////////////////////////////////////////////////////////////////
//
//  File name:  BTNBAR.H
//
//  Description:The header file for the class: CButtonBar
//

#ifndef _BTNBAR_
#define _BTNBAR_                     
/////////////////////////////////////////////////////////////////////////////
// CButtonBar window

class CButtonBar : public CTipToolBar
{
// Construction
public:
    CButtonBar();
    BOOL CreateBar(CWnd       *pOwner,
                   CStatusBar *pBar,
                   UINT       uNotify);

// Attributes
private:
    HGLOBAL hMem;
// Operations
public:                                      
    void Del(void);
    
    BOOL NewMain(void);
    BOOL NewSource(void);
    BOOL NewCpu(void);
    BOOL NewPeri(void);
    BOOL NewShell(void);
    BOOL NewTrace(void);
    BOOL NewBMem(void);
    BOOL NewVariable(void);
    BOOL NewStack(void);
    BOOL NewMemory(void);
    void AddSrchText(const char * str);
    CString GetSrchText(void);
    CString GetSrchEditText(void);

// Implementation
public:                    
    int nActiveId;
         
    CComboBox m_cmbSrch;
    BOOL      m_isCmbSrch;

    virtual ~CButtonBar();

protected:
    // Generated message map functions
    //{{AFX_MSG(CButtonBar)
        // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    afx_msg void OnDestroy();
    DECLARE_MESSAGE_MAP()
//	afx_msg void OnSetcaptionMhtip1(UINT, int, CWnd*, LPVOID);
};

#endif
/////////////////////////////(EOF)///////////////////////////////////////////
